# Class AbstractCallbackManager<U>`Abstract`

#### Type Parameters

- #### U

#### Hierarchy

- AbstractCallbackManager

#### Implements

- CallbackManagerInterface<U>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:29

#####
Index

### Constructors

constructor

### Properties

isInnerSelection
pfvFactory
rcsbFvContainer
stateManager

### Methods

featureClickCallback
highlightHoverCallback
innerPfvSelectionChange
innerStructureViewerSelectionChange
modelChangeCallback
pfvChangeCallback
pfvSelectionChangeCallback
structureViewerSelectionCallback

## Constructors

### constructor

- new AbstractCallbackManager<U>(config): AbstractCallbackManager<U>

- #### Type Parameters

  - #### U

  #### Parameters

  - ##### config: CallbackConfigInterface

  #### Returns AbstractCallbackManager<U>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:35

## Properties

### `Private` `Readonly` isInnerSelection

isInnerSelection: DataContainer<boolean> = ...

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:33

### `Protected` pfvFactory

pfvFactory: PfvManagerInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:32

### `Protected` `Readonly` rcsbFvContainer

rcsbFvContainer: DataContainer<RcsbFvModulePublicInterface<{}, {}, {}, {}>>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:30

### `Protected` `Readonly` stateManager

stateManager: RcsbFvStateInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:31

## Methods

### `Abstract` featureClickCallback

- featureClickCallback(e): void

- #### Parameters

  - ##### e: RcsbFvTrackDataElementInterface

  #### Returns void

  Implementation of CallbackManagerInterface.featureClickCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:55

### `Abstract` highlightHoverCallback

- highlightHoverCallback(selection): void

- #### Parameters

  - ##### selection: RcsbFvTrackDataElementInterface[]

  #### Returns void

  Implementation of CallbackManagerInterface.highlightHoverCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:56

### `Protected` `Abstract` innerPfvSelectionChange

- innerPfvSelectionChange(selection): void

- #### Parameters

  - ##### selection: RcsbFvTrackDataElementInterface[]

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:60

### `Protected` `Abstract` innerStructureViewerSelectionChange

- innerStructureViewerSelectionChange(mode): Promise<void>

- #### Parameters

  - ##### mode: "select" | "hover"

  #### Returns Promise<void>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:59

### `Abstract` modelChangeCallback

- modelChangeCallback(defaultAuthId?, defaultOperatorName?): Promise<void>

- #### Parameters

  - ##### `Optional` defaultAuthId: string

  - ##### `Optional` defaultOperatorName: string

  #### Returns Promise<void>

  Implementation of CallbackManagerInterface.modelChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:57

### `Abstract` pfvChangeCallback

- pfvChangeCallback(args): Promise<void>

- #### Parameters

  - ##### args: U

  #### Returns Promise<void>

  Implementation of CallbackManagerInterface.pfvChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:58

### pfvSelectionChangeCallback

- pfvSelectionChangeCallback(selection): void

- #### Parameters

  - ##### selection: RcsbFvTrackDataElementInterface[]

  #### Returns void

  Implementation of CallbackManagerInterface.pfvSelectionChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:49

### structureViewerSelectionCallback

- structureViewerSelectionCallback(mode): Promise<void>

- #### Parameters

  - ##### mode: "select" | "hover"

  #### Returns Promise<void>

  Implementation of CallbackManagerInterface.structureViewerSelectionCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/CallbackManagerFactoryInterface.ts:41

Generated using TypeDoc